org.freedesktop.icons

## Class EmblemIcon

- Object
- - org.freedesktop.icons.Icon
  - - org.freedesktop.icons.EmblemIcon

-     public class EmblemIcon
      extends Icon

  Named icons with "emblems". These are small images that can be used to annotate an icon (you might have used these for files in Nautilus).
  Since:
    4.0.17
  Author:
    Guillaume Mazoyer, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Icon` | `EMBLEM_DEFAULT`
    `static Icon` | `EMBLEM_DOCUMENTS`
    `static Icon` | `EMBLEM_DOWNLOADS`
    `static Icon` | `EMBLEM_FAVORITE`
    `static Icon` | `EMBLEM_GENERIC`
    `static Icon` | `EMBLEM_IMPORTANT`
    `static Icon` | `EMBLEM_MAIL`
    `static Icon` | `EMBLEM_NEW`
    `static Icon` | `EMBLEM_PACKAGE`
    `static Icon` | `EMBLEM_PHOTOS`
    `static Icon` | `EMBLEM_READONLY`
    `static Icon` | `EMBLEM_SHARED`
    `static Icon` | `EMBLEM_SYMBOLIC_LINK`
    `static Icon` | `EMBLEM_SYSTEM`
    `static Icon` | `EMBLEM_UNREADABLE`
    `static Icon` | `EMBLEM_URGENT`
    `static Icon` | `EMBLEM_WEB`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMBLEM_DEFAULT

          public static final Icon EMBLEM_DEFAULT

    - #### EMBLEM_DOCUMENTS

          public static final Icon EMBLEM_DOCUMENTS

    - #### EMBLEM_DOWNLOADS

          public static final Icon EMBLEM_DOWNLOADS

    - #### EMBLEM_FAVORITE

          public static final Icon EMBLEM_FAVORITE

    - #### EMBLEM_GENERIC

          public static final Icon EMBLEM_GENERIC

    - #### EMBLEM_IMPORTANT

          public static final Icon EMBLEM_IMPORTANT

    - #### EMBLEM_MAIL

          public static final Icon EMBLEM_MAIL

    - #### EMBLEM_NEW

          public static final Icon EMBLEM_NEW

    - #### EMBLEM_PACKAGE

          public static final Icon EMBLEM_PACKAGE

    - #### EMBLEM_PHOTOS

          public static final Icon EMBLEM_PHOTOS

    - #### EMBLEM_READONLY

          public static final Icon EMBLEM_READONLY

    - #### EMBLEM_SHARED

          public static final Icon EMBLEM_SHARED

    - #### EMBLEM_SYMBOLIC_LINK

          public static final Icon EMBLEM_SYMBOLIC_LINK

    - #### EMBLEM_SYSTEM

          public static final Icon EMBLEM_SYSTEM

    - #### EMBLEM_UNREADABLE

          public static final Icon EMBLEM_UNREADABLE

    - #### EMBLEM_URGENT

          public static final Icon EMBLEM_URGENT

    - #### EMBLEM_WEB

          public static final Icon EMBLEM_WEB